#ifndef SPRINKLERMGR_H
#define SPRINKLERMGR_H

#include <QObject>
#include <QList>


class CMasterCtrl;
class CSprinklerDevice;

class CSprinklerMgr : public QObject
{
    Q_OBJECT
public:
    explicit CSprinklerMgr(QObject *parent = 0);

    CMasterCtrl *mProgramHandle;
    QList<CSprinklerDevice*> mSprinklersList;


    int NewSprinklerDeviceCreated(CSprinklerDevice* Device);
    CSprinklerDevice* GetSprinkler(int SprinklerNetworkAddress);

signals:

public slots:
};

#endif // SPRINKLERMGR_H
